GNet Solutions - Bug #31

Samba shares that are mounted are only read-only
01/16/2013 10:33 AM - Daniel Curtis
Assignee: Daniel Curtis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

| would like users to be able to mount Samba shares and be able to read/write to the. | am able to mount

mkdir /mnt/Share
mount -t cifs -o username=user,password=pass,user,noauto //SambaServer/Share /mnt/Share

Once navigated to the mounted directory, all files display. However editing, modifying, deleting, and creating files are impossible.
1s -1 of /mnt/

Shows that /mnt/Share is owned by root with 755 permissions.

sudo cp <file> /mnt/Share

(Successful Write as root)

History

#1 - 01/16/2013 10:35 AM - Daniel Curtis

- Description updated

#2 - 01/16/2013 10:36 AM - Daniel Curtis

- Description updated

#3 - 01/16/2013 01:24 PM - Daniel Curtis
This task can be done by editing the /etc/fstab

//SambaServer/Share /mnt/Share cifs username=user,password=pass,user,noauto
Make sure to add the noauto and user options.

e noauto sets the share to not automatically mount at boot time.
e user allows users to mount the share

And now try to mount the share as the normal user.

#4 - 03/17/2013 10:31 AM - Daniel Curtis
- Status changed from New to Closed

- % Done changed from 0 to 100
